/*
 * @Author: wjc
 * @Date: 2025-04-09 10:19:11
 * @LastEditors: wjc
 * @LastEditTime: 2026-01-16 14:28:34
 * @Description: 用户相关接口
 */
import { BasicRes } from '@/models/requestTypes'
import { ILogin, LoginRes } from '@/models/userTypes'
import { request } from '@/utils/request'

export function login(data: ILogin) {
  return request.post<BasicRes<LoginRes>>('188758498', {
    header: {},
    data: {
      account: data.account,
      password: data.password,
    },
  })
}

export function logout() {
  return request.get<BasicRes<string>>('188797064')
}

export function getUserInfo() {
  return request<BasicRes<any>>({
    url: `188788509`,
    method: 'GET',
  })
}
